Skip to main content

Get Rank

GET 

/v1/sandbox/:sandbox_id/rank/:rank_id

Get specific Rank in a sandbox

Requires any of permissions: sandbox:config:view, sandbox:config:edit

Request

Path Parameters

    rank_id uuidrequired
    sandbox_id uuidrequired

    Sandbox ID

Responses

Successful Response

Schema

    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    custom_data

    object

    Custom data associated with the resource

    property name* string
    max_mu Max Mu (number)required

    The maximum skill value that can be achieved in this Rank

    min_mu Min Mu (number)required

    The minimum skill value that can be achieved in this Rank

    min_sigma Min Sigma (number)required

    Possible values: > 0

    The minimum sigma value achievable in this Rank when calculating with the ranking calculations.

    beta Beta (number)

    Default beta value for ranking calculations, which represents the distance in rating to have ~76% chance of winning for the higher rated player. The default is 4.167

    default_mu Default Mu (number)required

    Default mu value for ranking calculations, which represents player skill. The default is 25

    default_sigma Default Sigma (number)required

    Possible values: > 0

    Default sigma for ranking calculations, which represents the systems uncertainty on the player's mu (higher values mean more uncertainty). The default is 8.333

    draw_probability Draw Probability (number)

    Draw probability for ranking calculations. The default is 0.1

    tau Tau (number)

    Tau represents the additive dynamic factor for ranking calculations. The higher the value, the more dynamic ratings will be (wins grant more, and losses lose more). The default value is 0.083

    sandbox_id uuid

    ID of the Sandbox

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when this resource was created

    rank_id uuidrequired
Loading...